## ros-catkin 0.6.16

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm dev_guide/generated_cmake_api.rst
	-rm -rf $(BUILDDIR)/*

cmakeapi:
	./generate_cmake_rst.py -o dev_guide/generated_cmake_api.rst  ../cmake

html: cmakeapi
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml: cmakeapi
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml: cmakeapi
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle: cmakeapi
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json: cmakeapi
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp: cmakeapi
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp: cmakeapi
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/catkin.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/catkin.qhc"

devhelp: cmakeapi
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/catkin"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/catkin"
	@echo "# devhelp"

epub: cmakeapi
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex: cmakeapi
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf: cmakeapi
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text: cmakeapi
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man: cmakeapi
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes: cmakeapi
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck: cmakeapi
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest: python read file
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

upload: html
	# set write permission for group so that everybody can overwrite existing files on the webserver
	chmod -R g+w $(BUILDDIR)/html/
	# set sticky-bit for group on folders so that the group "www" is kept when overwriting existing files on the webserver
	find $(BUILDDIR)/html/ -type d | xargs chmod g+s
	#scp -pr $(BUILDDIR)/html/ wgs32.willowgarage.com:/var/www/www.ros.org/html/doc/api/catkin
	#scp -pr $(BUILDDIR)/html/ wgs32.willowgarage.com:/var/www/www.ros.org/html/doc/fuerte/api/catkin
	scp -pr $(BUILDDIR)/html/ root@wgs32.willowgarage.com:/var/www/www.ros.org/html/doc/groovy/api/catkin

=== test/mock_resources/src/catkin_test/quux_user/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(quux_user)
find_package(catkin REQUIRED)

catkin_package()
set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/bin)

find_package(quux_msgs)
assert(quux_msgs_INCLUDE_DIRS)

include_directories(${quux_msgs_INCLUDE_DIRS})

find_package(rostime)
include_directories(${rostime_INCLUDE_DIRS})
assert(rostime_INCLUDE_DIRS)
assert(rostime_LIBRARIES)

find_package(cpp_common)
include_directories(${cpp_common_INCLUDE_DIRS})

find_package(roscpp_traits)
include_directories(${roscpp_traits_INCLUDE_DIRS})

find_package(roscpp_serialization)
include_directories(${roscpp_serialization_INCLUDE_DIRS})
assert(roscpp_serialization_LIBRARIES)

find_package(sensor_msgs)
include_directories(${sensor_msgs_INCLUDE_DIRS})


include_directories(${std_msgs_INCLUDE_DIRS} ${quux_msgs_INCLUDE_DIRS})

add_executable(quux_user-exec src/main.cpp)
add_dependencies(quux_user-exec ${sensor_msgs_EXPORTED_TARGETS})

message(STATUS ${roscpp_serialization_LIBRARIES})

target_link_libraries(quux_user-exec ${roscpp_serialization_LIBRARIES} ${rostime_LIBRARIES})

add_executable(quux_srv-exec src/srv_test.cpp)

target_link_libraries(quux_srv-exec ${roscpp_serialization_LIBRARIES})
add_dependencies(quux_srv-exec ${sensor_msgs_EXPORTED_TARGETS})

=== debian/changelog ===
ros-catkin (0.6.16-4) unstable; urgency=medium

  * Fix installation of bash-completions
  * Change location of libexec to lib (without triplet)

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Mon, 15 Feb 2016 21:48:11 +0100

ros-catkin (0.6.16-3) unstable; urgency=medium

  * Add patch to install into multiarch dirs
  * Cleanup installation

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Tue, 24 Nov 2015 21:37:51 +0100

ros-catkin (0.6.16-2) unstable; urgency=medium

  * Update profile patch

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Mon, 16 Nov 2015 18:15:39 +0100

ros-catkin (0.6.16-1) unstable; urgency=medium

  * Imported Upstream version 0.6.16

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Thu, 12 Nov 2015 22:20:00 +0100

ros-catkin (0.6.15-1) unstable; urgency=medium

  * Initial release. (Closes: #729048)

 -- Wookey <wookey@debian.org>  Fri, 06 Nov 2015 16:18:09 +0000

=== debian/control ===
Source: ros-catkin
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
           Jochen Sprickerhof <debian@jochen.sprickerhof.de>,
           Leopold Palomo-Avellaneda <leo@alaxarxa.net>
Section: devel
Priority: extra
Build-Depends: debhelper (>= 9),
	       python,
	       python-catkin-pkg,
	       python-empy,
	       cmake,
	       dh-exec,
	       dh-python,
	       python-nose
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/ros/ros-catkin.git
Vcs-Git: git://anonscm.debian.org/debian-science/packages/ros/ros-catkin.git
Homepage: http://www.ros.org/wiki/catkin
X-Python-Version: >= 2.7

Package: catkin
Architecture: all
Depends: python,
	 python-catkin-pkg,
	 python-empy,
	 cmake,
	 libgtest-dev,
	 ${python:Depends},
	 ${misc:Depends}
Recommends: bash-completion
Multi-Arch: foreign
Description: Low-level build system macros and infrastructure for Robot OS
 Catkin contains CMake macros that are useful in the development of
 ROS-related systems. In ROS (Robot OS) Fuerte and later, many of the
 lower-level libraries are being migrated to be CMake only.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

%:
	dh  $@ --parallel --buildsystem=cmake --with python2

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp
	-rm -f debian/tmp/usr/share/catkin/cmake/*.pyc
	-rm -f debian/tmp/usr/share/catkin/cmake/test/*.pyc

override_dh_auto_clean:
	dh_auto_clean --
	-find . -name '*.pyc' -print0 | xargs -0 rm -f
	-rm -f bin/catkin_findc bin/catkin_make_isolatedc

=== debian/watch ===
version=3
https://github.com/ros/catkin/tags \
(?:.*/|)v?(\d\S*)\.(?:tar\.(?:gz|bz2|xz)|tgz|tbz2|txz)
# Bart Martens <bartm@debian.org> 2013-06-12 18:38:20

## ros-catkin 0.7.1

=== debian/changelog ===
ros-catkin (0.7.1-3) unstable; urgency=medium

  * Update Vcs URLs
  * Update my email address
  * Add patch to fix reproducible builds

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 29 Aug 2016 00:17:32 +0200

ros-catkin (0.7.1-2) unstable; urgency=medium

  * Make unit tests work
  * Bumped Standards-Version to 3.9.8, no changes needed.
  * Simplify rules

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Tue, 26 Jul 2016 08:14:42 +0200

ros-catkin (0.7.1-1) unstable; urgency=medium

  * Imported Upstream version 0.7.1
  * Refresh patches
  * Disable test suite for now

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Sat, 18 Jun 2016 10:51:44 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: ros-catkin
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
-           Jochen Sprickerhof <debian@jochen.sprickerhof.de>,
+           Jochen Sprickerhof <jspricke@debian.org>,
            Leopold Palomo-Avellaneda <leo@alaxarxa.net>
 Section: devel
 Priority: extra
@@ -13,9 +13,9 @@
 	       dh-exec,
 	       dh-python,
 	       python-nose
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/ros/ros-catkin.git
-Vcs-Git: git://anonscm.debian.org/debian-science/packages/ros/ros-catkin.git
+Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/ros/ros-catkin.git
+Vcs-Git: https://anonscm.debian.org/cgit/debian-science/packages/ros/ros-catkin.git
 Homepage: http://www.ros.org/wiki/catkin
 X-Python-Version: >= 2.7

## ros-catkin 0.7.4

=== debian/changelog ===
ros-catkin (0.7.4-4) unstable; urgency=medium

  * Set priority to optional to make deb check happy

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 26 Dec 2016 18:14:05 +0100

ros-catkin (0.7.4-3) unstable; urgency=medium

  * Add patch to not generate env files in /usr

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 26 Dec 2016 13:52:59 +0100

ros-catkin (0.7.4-2) unstable; urgency=medium

  * Add patch for gtest (Closes: #844199)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 13 Nov 2016 22:44:41 +0100

ros-catkin (0.7.4-1) unstable; urgency=medium

  * New upstream version 0.7.4

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 29 Sep 2016 08:42:26 +0200

ros-catkin (0.7.3-1) unstable; urgency=medium

  * New upstream version 0.7.3

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 21 Sep 2016 08:49:33 +0200

ros-catkin (0.7.2-1) unstable; urgency=medium

  * New upstream version 0.7.2
  * Rebase patches

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 17 Sep 2016 14:16:42 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
            Jochen Sprickerhof <jspricke@debian.org>,
            Leopold Palomo-Avellaneda <leo@alaxarxa.net>
 Section: devel
-Priority: extra
+Priority: optional
 Build-Depends: debhelper (>= 9),
 	       python,
 	       python-catkin-pkg,

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

# Needed for unit tests
export PYTHONPATH = $(CURDIR)/python

%:
	dh  $@ --parallel --buildsystem=cmake --with python2

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp
	rm -f debian/tmp/usr/share/catkin/cmake/*.pyc
	rm -f debian/tmp/usr/share/catkin/cmake/test/*.pyc

override_dh_auto_clean:
	dh_auto_clean --
	find . -name '*.pyc' -print0 | xargs -0 rm -f
	rm -f bin/catkin_findc bin/catkin_make_isolatedc

## ros-catkin 0.7.7

=== debian/changelog ===
ros-catkin (0.7.7-1) unstable; urgency=medium

  * New upstream version 0.7.7
  * Add lintian overrides

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 12 Aug 2017 16:07:53 +0200

ros-catkin (0.7.6-1) unstable; urgency=medium

  * New upstream version 0.7.6
  * Update patches
  * Update policy and debhelper version
  * Update copyright
  * Update watch file
  * Remove parallel (Default for debhelper 10)

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 05 Jul 2017 07:23:50 +0200

=== debian/control ===
--- 
+++ 
@@ -5,15 +5,8 @@
            Leopold Palomo-Avellaneda <leo@alaxarxa.net>
 Section: devel
 Priority: optional
-Build-Depends: debhelper (>= 9),
-	       python,
-	       python-catkin-pkg,
-	       python-empy,
-	       cmake,
-	       dh-exec,
-	       dh-python,
-	       python-nose
-Standards-Version: 3.9.8
+Build-Depends: debhelper (>= 10), python, python-catkin-pkg, python-empy, cmake, dh-exec, dh-python, python-nose, python-mock
+Standards-Version: 4.0.0
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/ros/ros-catkin.git
 Vcs-Git: https://anonscm.debian.org/cgit/debian-science/packages/ros/ros-catkin.git
 Homepage: http://www.ros.org/wiki/catkin

## ros-catkin 0.7.8

=== test/mock_resources/src-fail/badly_specified_changelog/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)

project(badly_specified_changelog)
find_package(catkin)

catkin_package()

=== test/mock_resources/src/nolangs/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)

project(nolangs)
find_package(catkin REQUIRED)
catkin_package()

set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/bin)

add_executable(nolangs_exec
  main.cpp)

install(TARGETS nolangs_exec
  RUNTIME DESTINATION bin)

=== test/mock_resources/src/catkin_test/c/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(c)
find_package(catkin REQUIRED)

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES c-one c-two
  )

find_package(a)
include_directories(${a_INCLUDE_DIRS})

add_library(c-one SHARED lib.cpp)
add_library(c-two SHARED lib.cpp)
target_link_libraries(c-one ${a_LIBRARIES})
target_link_libraries(c-two ${a_LIBRARIES})

add_message_files(
  DIRECTORY msg
  FILES CMsg.msg
)



# catkin_python_setup()
# enable_python(c)

# generate_messages(DEPENDENCIES std_msgs a)

=== debian/changelog ===
ros-catkin (0.7.8-1) unstable; urgency=medium

  * New upstream version 0.7.8
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 31 Oct 2017 08:54:53 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: devel
 Priority: optional
 Build-Depends: debhelper (>= 10), python, python-catkin-pkg, python-empy, cmake, dh-exec, dh-python, python-nose, python-mock
-Standards-Version: 4.0.0
+Standards-Version: 4.1.1
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/ros/ros-catkin.git
 Vcs-Git: https://anonscm.debian.org/cgit/debian-science/packages/ros/ros-catkin.git
 Homepage: http://www.ros.org/wiki/catkin

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 export PYTHONPATH = $(CURDIR)/python
 
 %:
-	dh  $@ --parallel --buildsystem=cmake --with python2
+	dh  $@ --buildsystem=cmake --with python2
 
 override_dh_auto_install:
 	dh_auto_install --destdir=debian/tmp

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%ros-catkin-$1.tar.gz%" \
    https://github.com/ros/catkin/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## ros-catkin 0.7.14

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)

set(catkin_EXTRAS_DIR ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

project(catkin)

if(NOT DEFINED CATKIN_TOPLEVEL)
  include(${catkin_EXTRAS_DIR}/all.cmake NO_POLICY_SCOPE)
endif()

catkin_package()

install(FILES LICENSE
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

# install cmake files for catkin (except some files only used at build time of catkin)
install(DIRECTORY cmake
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
  USE_SOURCE_PERMISSIONS
  PATTERN "catkinConfig.cmake.in" EXCLUDE)

catkin_python_setup()

if(CATKIN_ENABLE_TESTING)
  catkin_add_nosetests(test/local_tests)
  catkin_add_nosetests(test/unit_tests)
endif()

=== test/mock_resources/src-fail/noproject/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
# commented to cause failure
# project(noproject)
find_package(catkin)

catkin_package()

=== test/mock_resources/src/catkin_test/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(catkin_test)
find_package(catkin REQUIRED)

find_package(genmsg REQUIRED)
find_package(std_msgs REQUIRED)


foreach(subdir
    quux_msgs
    quux_user
    a
    b
    c
    d
    )
  add_subdirectory(${subdir})
endforeach()

=== test/mock_resources/src/catkin_test/b/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(b)
find_package(catkin REQUIRED)
catkin_package(
  INCLUDE_DIRS include
  LIBRARIES b
  )

find_package(a)
include_directories(${a_INCLUDE_DIRS})

add_library(b SHARED lib.cpp)
target_link_libraries(b ${a_LIBRARIES})

add_message_files(
  DIRECTORY msg
  FILES BMsg.msg
)



# catkin_python_setup()
# enable_python(b)

# generate_messages(DEPENDENCIES std_msgs)

=== test/mock_resources/src/catkin_test/d/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(d)
find_package(catkin REQUIRED)

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES d
  )

find_package(c)
find_package(b)
find_package(a)
include_directories(${b_INCLUDE_DIRS})

include_directories(${c_INCLUDE_DIRS})

add_library(d SHARED lib.cpp)
target_link_libraries(d ${b_LIBRARIES} ${c_LIBRARIES})

add_message_files(
  DIRECTORY msg
  FILES DMsg.msg
)


# catkin_python_setup()
# enable_python(d)

# generate_messages(DEPENDENCIES std_msgs b c a)

=== debian/changelog ===
ros-catkin (0.7.14-10) unstable; urgency=medium

  * Add patch for libgtest-dev including a libgtest.a (Closes: #926265)

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 02 Apr 2019 21:05:49 +0200

ros-catkin (0.7.14-9) unstable; urgency=medium

  * Add patch to protect against double -l in .pc files
    (Closes: 924395)

 -- Leopold Palomo-Avellaneda <leo@alaxarxa.net>  Tue, 12 Mar 2019 14:26:24 +0100

ros-catkin (0.7.14-8) unstable; urgency=medium

  * Add patch for -lpthread.
    Thanks to Felix Geyer (Closes: #915148)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 02 Dec 2018 14:35:11 +0100

ros-catkin (0.7.14-7) unstable; urgency=medium

  * Use PROJECT_NAME_INSTALL_PREFIX to detect system installs

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 18 Nov 2018 18:02:13 +0100

ros-catkin (0.7.14-6) unstable; urgency=medium

  * Rework include dir patches

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 14 Nov 2018 12:55:55 +0100

ros-catkin (0.7.14-5) unstable; urgency=medium

  * Add patches for ros-ros-environment
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 10 Oct 2018 22:35:56 +0200

ros-catkin (0.7.14-4) unstable; urgency=medium

  * Add Python 3 dependencies
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 17 Aug 2018 15:42:02 +0200

ros-catkin (0.7.14-3) unstable; urgency=medium

  * Add patch for include dirs

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 25 Jun 2018 22:08:49 +0200

ros-catkin (0.7.14-2) unstable; urgency=medium

  * Move pkgconfig to share

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 18 Jun 2018 07:37:29 +0200

ros-catkin (0.7.14-1) unstable; urgency=medium

  * New upstream version 0.7.14
  * Remove patch applied upstream
  * Fix lintian warning

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 16 Jun 2018 16:24:24 +0200

ros-catkin (0.7.13-1) unstable; urgency=medium

  * New upstream version 0.7.13
  * Update and Rebase patches
  * Update dependency due to terminal_color move to ros-catkin-pkg

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 06 Jun 2018 13:59:59 +0200

ros-catkin (0.7.12-2) unstable; urgency=medium

  * Add Python 3 package

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 27 May 2018 13:55:00 +0200

ros-catkin (0.7.12-1) unstable; urgency=medium

  * New upstream version 0.7.12
  * Update copyright
  * Add libgtest-dev (Closes: #895713)
  * Fix Lintian issues

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 27 May 2018 12:19:36 +0200

ros-catkin (0.7.11-1) unstable; urgency=medium

  * Update Vcs URLs to salsa.d.o
  * Move cleanup to d/clean
  * Add R³
  * http -> https
  * New upstream version 0.7.11
  * Rebase patches
  * Update policy and debhelper versions

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 31 Mar 2018 22:23:56 +0200

=== debian/control ===
Source: ros-catkin
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
           Jochen Sprickerhof <jspricke@debian.org>,
           Leopold Palomo-Avellaneda <leo@alaxarxa.net>
Section: devel
Priority: optional
Build-Depends: debhelper (>= 11), python-all, python3-all, python-catkin-pkg, python-empy, cmake, dh-exec, dh-python, python-nose, python-mock, libgtest-dev
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/science-team/ros-catkin
Vcs-Git: https://salsa.debian.org/science-team/ros-catkin.git
Rules-Requires-Root: no
Homepage: https://wiki.ros.org/catkin

Package: catkin
Architecture: all
Depends: python,
	 python-catkin-pkg,
	 python3-catkin-pkg,
	 python3-catkin,
	 python-empy,
	 cmake,
	 libgtest-dev,
	 ${python:Depends},
	 ${misc:Depends}
Recommends: bash-completion
Multi-Arch: foreign
Description: Low-level build system macros and infrastructure for Robot OS
 Catkin contains CMake macros that are useful in the development of
 ROS-related systems. In ROS (Robot OS) Fuerte and later, many of the
 lower-level libraries are being migrated to be CMake only.

Package: python3-catkin
Section: python
Architecture: all
Multi-Arch: foreign
Depends: ${python3:Depends},
	 ${misc:Depends}
Description: Python 3 modules for the ROS build system
 Catkin contains CMake macros that are useful in the development of
 ROS-related systems. In ROS (Robot OS) Fuerte and later, many of the
 lower-level libraries are being migrated to be CMake only.
 .
 This package contains the Python 3 module.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Needed for unit tests
export PYTHONPATH = $(CURDIR)/python

%:
	dh  $@ --buildsystem=cmake --with python2,python3

## ros-catkin 0.7.18

=== debian/changelog ===
ros-catkin (0.7.18-1) unstable; urgency=medium

  * New upstream version 0.7.18
  * Update copyright
  * rebase patches
  * Bump policy version (no changes)
  * switch to debhelper-compat and debhelper 12
  * add Salsa CI

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 28 Jul 2019 20:02:42 +0200

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
            Leopold Palomo-Avellaneda <leo@alaxarxa.net>
 Section: devel
 Priority: optional
-Build-Depends: debhelper (>= 11), python-all, python3-all, python-catkin-pkg, python-empy, cmake, dh-exec, dh-python, python-nose, python-mock, libgtest-dev
-Standards-Version: 4.2.1
+Build-Depends: debhelper-compat (= 12), python-all, python3-all, python-catkin-pkg, python-empy, cmake, dh-exec, dh-python, python-nose, python-mock, libgtest-dev
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/science-team/ros-catkin
 Vcs-Git: https://salsa.debian.org/science-team/ros-catkin.git
 Rules-Requires-Root: no

## ros-catkin 0.8.0

=== test/mock_resources/src/catkin_test/CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,6 @@
 
 find_package(genmsg REQUIRED)
 find_package(std_msgs REQUIRED)
-
 
 foreach(subdir
     quux_msgs
@@ -16,4 +15,3 @@
     )
   add_subdirectory(${subdir})
 endforeach()
-

=== test/mock_resources/src/catkin_test/a/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(a)
find_package(catkin REQUIRED COMPONENTS genmsg std_msgs)

add_message_files(
  DIRECTORY msg
  FILES AMsg.msg
)

generate_messages(DEPENDENCIES std_msgs)

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES a
  )

add_library(a SHARED lib.cpp)

=== test/mock_resources/src/catkin_test/c/CMakeLists.txt ===
--- 
+++ 
@@ -20,10 +20,7 @@
   FILES CMsg.msg
 )
 
-
-
 # catkin_python_setup()
 # enable_python(c)
 
 # generate_messages(DEPENDENCIES std_msgs a)
-

=== debian/changelog ===
ros-catkin (0.8.0-1ubuntu2) focal; urgency=medium

  * Reupload to Ubuntu with no patches.
    (new python3.8 seems less buggy in shutil)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 22 Feb 2020 08:48:29 +0100

ros-catkin (0.8.0-1) unstable; urgency=medium

  * New upstream version 0.8.0
  * Add new dependency
  * Rebase patches
  * bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 28 Jan 2020 22:02:01 +0100

ros-catkin (0.7.20-1) unstable; urgency=medium

  * New upstream version 0.7.20
  * Rebase patches

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 14 Dec 2019 10:28:06 +0100

ros-catkin (0.7.19-4) unstable; urgency=medium

  * Add patch to default to Python 3

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 26 Oct 2019 22:49:59 +0200

ros-catkin (0.7.19-3) unstable; urgency=medium

  * Fix build depends

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 26 Oct 2019 17:41:24 +0200

ros-catkin (0.7.19-2) unstable; urgency=medium

  * Convert to Python 3 package (Closes: #938370)
  * simplify d/watch

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 26 Oct 2019 16:20:50 +0200

ros-catkin (0.7.19-1) unstable; urgency=medium

  * New upstream version 0.7.19
  * Rebase patches
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 13 Oct 2019 09:00:52 +0200

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
            Leopold Palomo-Avellaneda <leo@alaxarxa.net>
 Section: devel
 Priority: optional
-Build-Depends: debhelper-compat (= 12), python-all, python3-all, python-catkin-pkg, python-empy, cmake, dh-exec, dh-python, python-nose, python-mock, libgtest-dev
-Standards-Version: 4.4.0
+Build-Depends: debhelper-compat (= 12), python3-all, python3-catkin-pkg (>= 0.4.14-2), python3-empy, cmake, dh-exec, dh-python, python3-nose, python3-mock, libgtest-dev
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/science-team/ros-catkin
 Vcs-Git: https://salsa.debian.org/science-team/ros-catkin.git
 Rules-Requires-Root: no
@@ -14,14 +14,14 @@
 
 Package: catkin
 Architecture: all
-Depends: python,
-	 python-catkin-pkg,
-	 python3-catkin-pkg,
+Depends: python3,
+	 python3-catkin-pkg (>= 0.4.14-2),
 	 python3-catkin,
-	 python-empy,
+	 python3-empy,
+	 python3-setuptools,
 	 cmake,
 	 libgtest-dev,
-	 ${python:Depends},
+	 ${python3:Depends},
 	 ${misc:Depends}
 Recommends: bash-completion
 Multi-Arch: foreign

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Needed for unit tests
export PYTHONPATH = $(CURDIR)/python

%:
	dh  $@ --buildsystem=cmake --with python3

## ros-catkin 0.8.8

=== debian/changelog ===
ros-catkin (0.8.8-1) unstable; urgency=medium

  * New upstream version 0.8.8

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 28 Jul 2020 22:02:35 +0200

ros-catkin (0.8.7-1) unstable; urgency=medium

  * New upstream version 0.8.7
  * rebase patches

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 16 Jul 2020 15:26:31 +0200

ros-catkin (0.8.6-3) unstable; urgency=medium

  * simplify d/*.install
  * Add ros-environment dependency

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 12 Jun 2020 15:39:57 +0200

ros-catkin (0.8.6-2) unstable; urgency=medium

  * Use GMock module from cmake-extras

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 06 Jun 2020 10:30:46 +0200

ros-catkin (0.8.6-1) unstable; urgency=medium

  * New upstream version 0.8.6
  * Drop Python 3 patch
  * Remove Thomas from Uploaders, thanks for working on this
  * bump debhelper version

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 06 Jun 2020 08:08:39 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: ros-catkin
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
-           Jochen Sprickerhof <jspricke@debian.org>,
+Uploaders: Jochen Sprickerhof <jspricke@debian.org>,
            Leopold Palomo-Avellaneda <leo@alaxarxa.net>
 Section: devel
 Priority: optional
-Build-Depends: debhelper-compat (= 12), python3-all, python3-catkin-pkg (>= 0.4.14-2), python3-empy, cmake, dh-exec, dh-python, python3-nose, python3-mock, libgtest-dev
+Build-Depends: debhelper-compat (= 13), python3-all, python3-catkin-pkg (>= 0.4.14-2), python3-empy, cmake, dh-exec, dh-sequence-python3, python3-nose, python3-mock, libgtest-dev
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/science-team/ros-catkin
 Vcs-Git: https://salsa.debian.org/science-team/ros-catkin.git
@@ -19,8 +18,9 @@
 	 python3-catkin,
 	 python3-empy,
 	 python3-setuptools,
-	 cmake,
+	 cmake-extras,
 	 libgtest-dev,
+	 ros-environment,
 	 ${python3:Depends},
 	 ${misc:Depends}
 Recommends: bash-completion

## ros-catkin 0.8.9

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 2.8.3)
+cmake_minimum_required(VERSION 3.0.2)
 
 set(catkin_EXTRAS_DIR ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

=== test/mock_resources/src-fail/noproject/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
# commented to cause failure
# project(noproject)
find_package(catkin)

catkin_package()

=== test/mock_resources/src/catkin_test/b/CMakeLists.txt ===
--- 
+++ 
@@ -17,8 +17,6 @@
   FILES BMsg.msg
 )
 
-
-
 # catkin_python_setup()
 # enable_python(b)

=== debian/changelog ===
ros-catkin (0.8.9-2) unstable; urgency=medium

  * Add patch to strip full library paths (Closes: #977283)
  * bump policy version (no changes)
  * Move pkg-config filed to share
  * drop gitlab-ci
  * Add patch to drop default include paths

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 21 Dec 2020 16:51:31 +0100

ros-catkin (0.8.9-1) unstable; urgency=medium

  * New upstream version 0.8.9

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 17 Oct 2020 12:27:30 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Section: devel
 Priority: optional
 Build-Depends: debhelper-compat (= 13), python3-all, python3-catkin-pkg (>= 0.4.14-2), python3-empy, cmake, dh-exec, dh-sequence-python3, python3-nose, python3-mock, libgtest-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/science-team/ros-catkin
 Vcs-Git: https://salsa.debian.org/science-team/ros-catkin.git
 Rules-Requires-Root: no

=== debian/rules ===
#!/usr/bin/make -f

# Needed for unit tests
export PYTHONPATH = $(CURDIR)/python

%:
	dh  $@ --buildsystem=cmake

## ros-catkin 0.8.10

=== test/mock_resources/src/nolangs/CMakeLists.txt ===
--- 
+++ 
@@ -11,4 +11,3 @@
 
 install(TARGETS nolangs_exec
   RUNTIME DESTINATION bin)
-

=== test/mock_resources/src/linker_options/src/root_pkg/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(root_pkg)

find_package(catkin REQUIRED)

add_library(rootlib SHARED root.cpp)
target_include_directories(rootlib PUBLIC include)

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES -pthread -lpthread rootlib
  )

install(TARGETS rootlib
        ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION})

install(DIRECTORY include/${PROJECT_NAME}/
        DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})

=== debian/changelog ===
ros-catkin (0.8.10-7) unstable; urgency=medium

  * Fix double space
  * Define GMOCK_MAIN_LIBRARIES

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 27 Jan 2022 10:03:58 +0100

ros-catkin (0.8.10-6) unstable; urgency=medium

  [ Timo Röhling ]
  * Add myself to uploaders
  * Prefer prebuilt Googletest libraries
  * Remove libgtest-dev from dependencies

  [ Jochen Sprickerhof ]
  * Reduce diff size
  * Recover full path patch (Closes: #997519)

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 25 Oct 2021 21:26:08 +0200

ros-catkin (0.8.10-5) unstable; urgency=medium

  * Team upload.
  * Fix MA conflict due to leaked /usr/lib/<triplet> paths

 -- Timo Röhling <roehling@debian.org>  Fri, 24 Sep 2021 21:59:51 +0200

ros-catkin (0.8.10-4) unstable; urgency=medium

  * Team upload.
  * Upload to unstable

 -- Timo Röhling <roehling@debian.org>  Wed, 22 Sep 2021 22:41:39 +0200

ros-catkin (0.8.10-3) experimental; urgency=medium

  * Team upload.
  * Ignore develspace for multi-arch installation

 -- Timo Röhling <roehling@debian.org>  Sat, 04 Sep 2021 19:31:31 +0200

ros-catkin (0.8.10-2) experimental; urgency=medium

  * Fix expansion of library path in .pc files

 -- Timo Röhling <roehling@debian.org>  Fri, 03 Sep 2021 18:00:12 +0200

ros-catkin (0.8.10-1) experimental; urgency=medium

  * Team upload.
  * New upstream version 0.8.10
  * Update patches
    - Drop 0015-Strip-full-path-from-catkin_package-DEPENDS-libraries
    - Drop 0003-Don't-add-default-paths-to-pkg-config-file
    - Replace 0006-use-GNUInstallDirs-when-installing-into-usr
      with 0005-use-Multi-Arch-dirs-when-installing-into-usr
    - Renumber patches
  * Bump Standards-Version to 4.6.0 (no changes)
  * Add autopkgtest suite

 -- Timo Röhling <roehling@debian.org>  Thu, 02 Sep 2021 16:17:47 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: ros-catkin
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Jochen Sprickerhof <jspricke@debian.org>,
-           Leopold Palomo-Avellaneda <leo@alaxarxa.net>
+           Leopold Palomo-Avellaneda <leo@alaxarxa.net>,
+           Timo Röhling <roehling@debian.org>
 Section: devel
 Priority: optional
-Build-Depends: debhelper-compat (= 13), python3-all, python3-catkin-pkg (>= 0.4.14-2), python3-empy, cmake, dh-exec, dh-sequence-python3, python3-nose, python3-mock, libgtest-dev
-Standards-Version: 4.5.1
+Build-Depends: debhelper-compat (= 13), python3-all, python3-catkin-pkg (>= 0.4.14-2), python3-empy, cmake, dh-exec, dh-sequence-python3, python3-nose, python3-mock
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/science-team/ros-catkin
 Vcs-Git: https://salsa.debian.org/science-team/ros-catkin.git
 Rules-Requires-Root: no
@@ -19,7 +20,6 @@
 	 python3-empy,
 	 python3-setuptools,
 	 cmake-extras,
-	 libgtest-dev,
 	 ros-environment,
 	 ${python3:Depends},
 	 ${misc:Depends}

=== debian/rules ===
#!/usr/bin/make -f

# Needed for unit tests
export PYTHONPATH = $(CURDIR)/python

%:
	dh $@ --buildsystem=cmake

=== debian/tests/control ===
Tests: build-develspace build-usr
Depends: @, cmake, g++
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%ros-catkin-$1.tar.gz%" \
    https://github.com/ros/catkin/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## ros-catkin 0.8.12

=== test/mock_resources/src-fail/badly_specified_changelog/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)

project(badly_specified_changelog)
find_package(catkin)

catkin_package()

=== test/mock_resources/src/catkin_test/d/CMakeLists.txt ===
--- 
+++ 
@@ -22,9 +22,7 @@
   FILES DMsg.msg
 )
 
-
 # catkin_python_setup()
 # enable_python(d)
 
 # generate_messages(DEPENDENCIES std_msgs b c a)
-

=== test/mock_resources/src/catkin_test/quux_msgs/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(quux_msgs)
find_package(catkin REQUIRED)
find_package(genmsg REQUIRED)
find_package(std_msgs REQUIRED)

add_message_files(
  DIRECTORY msg
  FILES QuuxString.msg
)

generate_messages(DEPENDENCIES std_msgs)

catkin_package()

=== test/mock_resources/src/catkin_test/quux_user/CMakeLists.txt ===
--- 
+++ 
@@ -28,7 +28,6 @@
 find_package(sensor_msgs)
 include_directories(${sensor_msgs_INCLUDE_DIRS})
 
-
 include_directories(${std_msgs_INCLUDE_DIRS} ${quux_msgs_INCLUDE_DIRS})
 
 add_executable(quux_user-exec src/main.cpp)

=== test/mock_resources/src/linker_options/src/leaf_pkg/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(leaf_pkg)

find_package(catkin REQUIRED COMPONENTS root_pkg)

add_executable(leaf leaf.cpp)
target_link_libraries(leaf ${catkin_LIBRARIES})
target_include_directories(leaf PUBLIC ${catkin_INCLUDE_DIRS})

catkin_package()

list(LENGTH catkin_LIBRARIES size)
math(EXPR size_is_not_3 "${size} - 3")
if (size_is_not_3)
  message(FATAL_ERROR "Wrong size for catkin_LIBRARIES: ${catkin_LIBRARIES} : ${size}")
else()
  message(STATUS "All is OK: ${catkin_LIBRARIES}")
endif()

=== debian/changelog ===
ros-catkin (0.8.12-1) unstable; urgency=medium

  * New upstream version 0.8.12
  * Update patches
    - Merged: 0017-Use-the-newer-unittest.mock-from-standard-library-on.patch
  * Bump Standards-Version to 4.7.2
  * Wrap and sort Debian package files

 -- Timo Röhling <roehling@debian.org>  Tue, 12 Aug 2025 23:28:08 +0200

ros-catkin (0.8.10-17) unstable; urgency=medium

  [ v4hn ]
  * migrate to find_package(Python)

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 20 Nov 2024 17:58:34 +0100

ros-catkin (0.8.10-16) unstable; urgency=medium

  * Make package prefix relocatable and do not leak build paths

 -- Timo Röhling <roehling@debian.org>  Fri, 27 Sep 2024 17:31:19 +0200

ros-catkin (0.8.10-15) unstable; urgency=medium

  * Migrate to dh-ros
  * Drop M-A: foreign from Python 3 module
  * Downgrade ros-environment to Recommends

 -- Timo Röhling <roehling@debian.org>  Tue, 24 Sep 2024 12:16:38 +0200

ros-catkin (0.8.10-14) unstable; urgency=medium

  * Silence CMake warning for find_package(PythonInterp)
  * Wrap and sort Debian package files

 -- Timo Röhling <roehling@debian.org>  Sat, 21 Sep 2024 21:56:14 +0200

ros-catkin (0.8.10-13) unstable; urgency=medium

  * Add missing build dependency on python3-setuptools (Closes: #1080789)

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 05 Sep 2024 18:13:51 +0200

ros-catkin (0.8.10-12) unstable; urgency=medium

  * Use the newer unittest.mock from standard library on Python 3
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 24 Apr 2024 07:13:19 +0200

ros-catkin (0.8.10-11) unstable; urgency=medium

  * Bump cmake version for tests

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 06 Jul 2023 12:44:41 +0200

ros-catkin (0.8.10-10) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Timo Röhling ]
  * Disable tests in catkin packages if BUILD_TESTING=OFF
  * Bump Standards-Version to 4.6.2

 -- Timo Röhling <roehling@debian.org>  Fri, 16 Jun 2023 20:32:39 +0200

ros-catkin (0.8.10-9) unstable; urgency=medium

  * Drop nose dependency (Closes: #1018622)
  * Fix lintian override

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 29 Aug 2022 16:31:04 +0200

ros-catkin (0.8.10-8) unstable; urgency=medium

  * Add fix for interrogate_setup_dot_py
  * Bump policy version (no changes)
  * Drop versioned dependency (version is in stable)
  * Fix lintian overwrite

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 02 Jun 2022 21:43:22 +0200

=== debian/control ===
Source: ros-catkin
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Jochen Sprickerhof <jspricke@debian.org>,
 Leopold Palomo-Avellaneda <leo@alaxarxa.net>,
 Timo Röhling <roehling@debian.org>,
Section: devel
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-exec,
 dh-ros (>= 0.13.8~),
 dh-sequence-python3,
 cmake,
 python3-all,
 python3-catkin-pkg,
 python3-empy,
 python3-setuptools,
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/science-team/ros-catkin
Vcs-Git: https://salsa.debian.org/science-team/ros-catkin.git
Rules-Requires-Root: no
Homepage: https://wiki.ros.org/catkin

Package: catkin
Architecture: all
Depends:
 cmake-extras,
 python3,
 python3-catkin,
 python3-catkin-pkg,
 python3-empy,
 python3-setuptools,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 bash-completion,
 ros-environment,
Multi-Arch: foreign
Description: Low-level build system macros and infrastructure for Robot OS
 Catkin contains CMake macros that are useful in the development of
 ROS-related systems. In ROS (Robot OS) Fuerte and later, many of the
 lower-level libraries are being migrated to be CMake only.

Package: python3-catkin
Section: python
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Python 3 modules for the ROS build system
 Catkin contains CMake macros that are useful in the development of
 ROS-related systems. In ROS (Robot OS) Fuerte and later, many of the
 lower-level libraries are being migrated to be CMake only.
 .
 This package contains the Python 3 module.

=== debian/rules ===
#!/usr/bin/make -f

# Needed for unit tests
export PYTHONPATH = $(CURDIR)/python

%:
	dh $@ --buildsystem=ros

=== debian/tests/control ===
Tests:
 build-develspace build-usr,
Depends:
 cmake,
 g++,
 @,
Restrictions:
 allow-stderr,
